From 3b684495bca34c1c3f79787d9b9ed509b4b98fcc Mon Sep 17 00:00:00 2001
From: Simon McVittie <smcv@debian.org>
Date: Thu, 18 Jan 2018 20:27:31 +0000
Subject: [PATCH] Check for Freetype using pkg-config, not freetype-config
 (Closes: #887597)

---
 debian/changelog                                   |  7 +++++
 ...etype-with-pkg-config-not-freetype-config.patch | 35 ++++++++++++++++++++++
 debian/patches/series                              |  1 +
 3 files changed, 43 insertions(+)
 create mode 100644 debian/patches/Check-for-Freetype-with-pkg-config-not-freetype-config.patch
 create mode 100644 debian/patches/series

diff --git a/debian/changelog b/debian/changelog
index b51c026..79d6abc 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+adonthell (0.3.6-2) UNRELEASED; urgency=medium
+
+  * Check for Freetype using pkg-config, not freetype-config
+    (Closes: #887597)
+
+ -- Simon McVittie <smcv@debian.org>  Thu, 18 Jan 2018 20:26:07 +0000
+
 adonthell (0.3.6-1) unstable; urgency=medium
 
   * Team upload.
diff --git a/debian/patches/Check-for-Freetype-with-pkg-config-not-freetype-config.patch b/debian/patches/Check-for-Freetype-with-pkg-config-not-freetype-config.patch
new file mode 100644
index 0000000..4ddc341
--- /dev/null
+++ b/debian/patches/Check-for-Freetype-with-pkg-config-not-freetype-config.patch
@@ -0,0 +1,35 @@
+From: Simon McVittie <smcv@debian.org>
+Date: Thu, 18 Jan 2018 20:26:02 +0000
+Subject: Check for Freetype with pkg-config, not freetype-config
+
+Signed-off-by: Simon McVittie <smcv@debian.org>
+Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=887597
+---
+ configure.ac | 7 ++-----
+ 1 file changed, 2 insertions(+), 5 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index 89dd1e1..9077eac 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -170,10 +170,7 @@ dnl *******************
+ dnl Check for FreeType2
+ dnl *******************
+ 
+-AC_CHECK_FT2(6.0.0,
+-    :,
+-    AC_MSG_ERROR([*** Freetype version >= 6.0.0 not found!])
+-)
++PKG_CHECK_MODULES([FT2], [freetype2 >= 6.0.0])
+ 
+ dnl *******************
+ dnl Check for OggVorbis
+@@ -535,7 +532,7 @@ echo
+ echo "SDL ....................... : `sdl2-config --version`"
+ echo "Python .................... : $PY_VERSION"
+ echo "Python debugging .......... : $pydebug"
+-echo "Freetype .................. : `freetype-config --version`"
++echo "Freetype .................. : `pkg-config --modversion freetype2`"
+ if test "x$haveswig" = "xyes"; then
+ echo "SWIG ...................... : $SWIG_VERSION"
+ fi
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..738b1ff
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1 @@
+Check-for-Freetype-with-pkg-config-not-freetype-config.patch
-- 
2.15.1

